TERMINAL(1)

NAME
Terminal - Un émulateur de terminal pour X

SYNOPSIS

Terminal [OPTION...]

DESCRIPTION

Terminal est ce que l'on appelle un émulateur de terminal X, souvent appelé terminal ou shell. Il est l'équivalent de la ligne de commande de l'ordinateur mais dans une fenêtre de l'interface graphique. Les utilisateurs de Windows connaissent peut-être déjà la ligne de commande MS-DOS qui permet d'utiliser presque toutes les commandes du système d'exploitation DOS de Microsoft. La ligne de commande UNIX est beaucoup plus puissante et facile à utiliser que celle du DOS.

Terminal émule l'application xterm développée par le X Consortium. À son tour, l'application xterm émule le terminal DEC VT102 ainsi que les séquences d'échappement du DEC VT220. Une séquence d'échappement est une série de caractères commençant par Esc. Terminal accepte et comprend toutes les formes de séquences d'échappement des terminaux VT102 et VT220, comme celles servant à positionner le curseur ou à effacer l'écran.

OPTIONS

  Option Summary

Here is a summary of all the options, grouped by type. Explanations are in the following sections.

Préférences générales
    -h, --help; -V, --version; --disable-server; --default-display=écran; --default-working-directory=répertoire

Window or Tab Separators
    --tab; --window

Tab Options
    -x, --execute; -e, --command=command; --working-directory=répertoire; -T, --title=title; -H, --hold

Window Options
    --display=écran; --geometry=géométrie; --role=rôle; --startup-id=string; -I, --icon=icon; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbars, --hide-toolbars

  Préférences générales

-h, --help
    Affiche les différentes options pour la ligne de commande supportées par Terminal et quitte

-V, --version
    Affiche la version et quitte

--disable-server
    Ne pas utiliser le service D-BUS

--default-display=écran
    Default X display to use.

--default-working-directory=répertoire
    Set directory as the default working directory for the terminal

  Window or Tab Separators

--tab
    Open a new tab in the last-specified window; more than one of these options can be provided.

--window
    Open a new window containing one tab; more than one of these options can be provided.

  Tab Options

-x, --execute
    Exécute le reste de la ligne de commande dans le terminal

-e, --command=command
    Exécute commande dans le terminal

--working-directory=répertoire
    Détermine le répertoire de travail du terminal

-T, --title=title
    Définit le titre du terminal

-H, --hold
    Ne ferme pas le terminal lorsque la commande exécutée se termine

  Window Options

--display=écran
    X display to use for the last- specified window.

--geometry=géométrie
    Sets the geometry of the last-specified window to geometry. Read X(7) for more information on how to specify window geometries.

--role=rôle
    Sets the window role of the last-specified window to role. Applies to only one window and can be specified once for each window you create from the command line. It is mostly used for session management inside Terminal

--startup-id=string
    Spécifie l'ID de notification de démarrage pour la dernière fenêtre. Est utilisé en interne lorsque le service D-BUS est utilisé, pour faire suivre l'ID de notification de démarrage.

-I, --icon=icon
    Set the terminal's icon as an icon name or filename.

--fullscreen
    Passe la dernière fenêtre en mode plein écran. S'applique uniquement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande.

--maximize
    Passe la dernière fenêtre spécifiée en mode maximisé. S'applique uniquement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande.

--show-menubar
    Affiche la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--hide-menubar
    Ne pas afficher la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--show-borders
    Affiche la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--hide-borders
    Cache la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--show-toolbars
    Affiche la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

--hide-toolbars
    Cache la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

EXAMPLES

Terminal --geometry 80x40 --command mutt --tab --command mc
    Opens a new terminal window with a geometry of 80 columns and 40 rows and two tabs in it, where the first tab runs mutt and the second tab runs mc.

ENVIRONMENT

Terminal utilise les spécifications Basedir qui sont définies par Freedesktop.org[1] afin de localiser ses données et ses fichiers de configurations. Cela signifie que les chemins vers les fichiers seront spécifiés de manière relatives par rapport aux répertoires décrits dans les spécifications.

${XDG_CONFIG_HOME}
    Le premier répertoire de base utilisé pour trouver les fichiers de configurations. La valeur par défaut est ~/.config/.

${XDG_CONFIG_DIRS}
    Une liste de répertoires séparée par deux-points qui contiennent des données de configurations. Par défaut l'application regarde dans ${sysconfdir}/xdg/. La valeur de ${sysconfdir} dépend de l'installation de l'application et sera souvent /etc/ pour les paquets binaires.

${XDG_DATA_HOME}
    La racine pour les données spécifiques à chaque utilisateur. Par défaut cette variable est initialisée à ~/.local/share/.

${XDG_DATA_DIRS}
    Une liste de répertoires de base triée par ordre de préférence dans lesquels des fichiers seront recherchés en plus du répertoire de base ${XDG_DATA_HOME}. Ces répertoires doivent être séparés par des deux-points.

FILES

${XDG_CONFIG_DIRS}/Terminal/terminalrc
    Le chemin vers le fichier de configuration qui inclut les préférences définissant l'aspect de l'interface graphique de Terminal.

${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui
    Ce fichier inclut les définitions de l'interface utilisateur pour les barres d'outils. Si vous utilisez l'éditeur graphique pour personnaliser les barres d'outils, Terminal sauvegardera ces informations dans le fichier ${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui.

SEE ALSO

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Developer

Benedikt Meurer <benny@xfce.org>
Software developer, os-cillation, Développement système,
    Developer

NOTES

1.  Freedesktop.org
    http://freedesktop.org/